
/*
UserSetting()
GetUrlElement()
IndexReadEmCondtionText
SaveEmConditionFile()
IndexSaveEmConditionFile()
IndexReadEmCondtionTextArg()
*/



function UserSetting(){

  var $ipAddress = $("#ipAddress").val();
  var $port = $("#portNumber").val();
  var $manufacturer = $("#manufacturer").val();
  var $electronMicroscopeName = $("#electronMicroscopeName").val();

}

function GetUrlElement(){
  var arg = {}; // arg = new Object
  var pair = location.search.substring(1).split('&');
  for(var i=0;pair[i];i++) {
    var kv = pair[i].split('=');
    arg[kv[0]]=kv[1];
  }

  $(".div2 h1 p").text(arg['sendElectronMicroscopeName'])

  return {
    GetUrlElementInstance: function() {
      return arg;
    },
    sayHello: "Hello"
  }
}

function IndexSaveEmConditionFile(){
  var date = new Date();
  var $ipAddress = $("#ipAddress").val();
  var $port = $("#portNumber").val();
  var $manufacturer = $("#manufacturer").val();
  var $electronMicroscopeName = $("#electronMicroscopeName").val();
  var Year = date.getFullYear();
  var Month = date.getMonth() + 1;
  var day = date.getDate();

  //文字を取得ファイルにはいるやつ
  var text = "TEM:"+$manufacturer+
  ",portNumber:"+$port+
  ",ipAddress:"+$ipAddress+
  ",electronMicroscopeName:"+$electronMicroscopeName+
  ",Date:"+Year+
  +Month+
  +day+
  "";
//   var name = document.getElementById('saveEmConditionFileName').value = 'mytext';
  //テキストファイルを作成
  var blob = new Blob([text], {type: 'text/plain'});
  //リンクを取得
  var linkcondition = document.getElementById('DL_link_condition');
  //リンクにダウンロードするファイルをセット
  linkcondition.href = window.URL.createObjectURL(blob);
  //もしダウンロード属性に対応していたら
  if ('download' in linkcondition) {
    var data = $manufacturer + Year.toString() +'_'+ Month.toString() +'_'+ day.toString();
    //リンクにダウンロードする名前をセット
    linkcondition.download = data + '.txt';
    //リンクをクリックしてダウンロードさせる
    linkcondition.click();
    //もし対応してなかったら
  } else {
    //メッセージを表示する
    linkcondition.textContent = '右クリックから名前を付けて保存してください';
  }
}

function SaveEmConditionFile(){
  var date = new Date();
  var $manufacturer = $("#manufacturer").val();
  var movex = $("#movex").val();
  var movey = $("#movey").val();
  var movez = $("#movez").val();
  var movea = $("#movea").val();
  var spotSize = $("#spotSize").val();
  var magnificationA = $("#magnificationA").val();
  var magnificationR = $("#magnificationR").val();
  var binning = $("#binnig").val();
  var size = $("#size").val();
  var exptime = $("#exptime").val();
  var Year = date.getFullYear();
  var Month = date.getMonth() + 1;
  var day = date.getDate();
  var Hours = date.getHours();
  var Minutes = date.getMinutes();

  //文字を取得ファイルにはいるやつ
  var text = "{'x':'"+movex+
  "','y':'"+movey+
  "','z':'"+movez+
  "','a':'"+movea+
  "','spotSize':'"+spotSize+
  "','magnificationA':'"+magnificationA+
  "','magnificationR':'"+magnificationR+
  "','binning':'"+binning+
  "','size':'"+size+
  "','exptime':'"+exptime+
  "','Date':'"+Year+
  '/'+Month+
  '/'+day+
  "'}";
  //ファイル名を取得、デフォルトは「mytext」
  //      var name = document.getElementById('saveEmConditionFileName').value = 'mytext';
  //テキストファイルを作成
  var blob = new Blob([text], {type: 'text/plain'});
  //リンクを取得
  var linkcondition = document.getElementById('DL_link_condition');
  //リンクにダウンロードするファイルをセット
  linkcondition.href = window.URL.createObjectURL(blob);
  //もしダウンロード属性に対応していたら
  if ('download' in linkcondition) {
    var data = "EMcondition" + Year.toString() +'_'+ Month.toString() +'_'+ day.toString()+'_'+Hours.toString()+'_'+Minutes.toString();
    //リンクにダウンロードする名前をセット
    linkcondition.download = data + '.txt';
    //リンクをクリックしてダウンロードさせる
    linkcondition.click();
    //もし対応してなかったら
  } else {
    //メッセージを表示する
    linkcondition.textContent = '右クリックから名前を付けて保存してください';
  }
}


function IndexReadEmCondtionText(){
  var obj1 = document.getElementById("selfile");
  obj1.addEventListener("change",function(evt){
    var file = evt.target.files;
    var arg = {};
    var reader = new FileReader();
    reader.readAsText(file[0]);
    reader.onload = function(ev){
      console.log(reader.result);
      document.selectFile.txt.value = reader.result;
      var pair = reader.result.split(',');
      for(var i=0;pair[i];i++) {
        var kv = pair[i].split(':');
        arg[kv[0]]=kv[1];
      }
      console.log(arg['Date']);
      console.log(arg['ipAddress']);
      console.log(arg['portNumber']);
      console.log(arg['TEM']);
      IndexReadEmCondtionTextArg(arg);
    }
    console.log(arg['Date']);
  },false);
}

function IndexReadEmCondtionTextArg(arg){
  var ipAddress = arg['ipAddress'];
  var manufacturer = arg['TEM'];
  var portNumber = arg['portNumber'];
  var manufacturerName = arg['electronMicroscopeName'];
  var res = confirm("Would that be OK with you?");
  if(res == true){
    window.location = "http://"+ipAddress+":3000/simplePhoto.html?sendIpAddress="+ipAddress+"&sendPortNumber="+portNumber+"&sendManufacturer="+manufacturer+"&sendElectronMicroscopeName="+manufacturerName+""
  }else{
    return false;
  }
}
